mod model;
mod db;

use color_eyre::eyre::Result;
use clap::{Parser, Subcommand};
use ulid::Ulid;

#[derive(Debug, Parser)]
struct Cli {
    #[command(subcommand)]
    command: Command,
}

#[derive(Debug, Subcommand)]
enum Command {
    Serve,
    Migrate,
}

fn main() -> Result<()> {
    color_eyre::install()?;

    let args = Cli::parse();
    println!("{args:#?}");

    println!("{}", match args.command {
        Command::Serve => "serving!",
        Command::Migrate => "migrating!"
    });

    println!("{}", Ulid::new());

    Ok(())
}
